DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# TestObjectAddNoise

TestObject generation function

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_TestObjectAddNoise ( object, noisy, background, backvalue, gaussianNoise, poissonNoise, snr, conversion, variance, random )

## DATA TYPES

binary, integer, float

## FUNCTION

This function adds a mixture of Gaussian and Poisson noise to a testobject at a specified signal-to-noise ratio. The SNR is defined as the average object energy divided by the average noise power.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `object` | Input Object Image
`dip_Image` | `noisy` | Output Image
`dip_Image` | `background` | Background Image
`dip_float` | `backvalue` | Constant Background Value
`dip_float` | `gaussianNoise` | Relative Amount of Gaussian Noise
`dip_float` | `poissonNoise` | Relative Amount of Poisson Noise
`dip_float` | `snr` | Signal to Noise Ratio
`dip_float *` | `conversion (0)` | Pointer to the Poisson Conversion Factor
`dip_float *` | `variance (0)` | Pointer to the Gaussian Variance
`dip_Random *` | `random` | Pointer to a random value structure

## SEE ALSO

`TestObjectCreate`, `TestObjectModulate`, `TestObjectBlur`